0 Replies Latest reply on Aug 19, 2002 3:42 PM by Rebecca Poon

    LinkageError after upgrade fr JBOSS2.4.4-Tomcat3.2.3 to -Tom

    Rebecca Poon Newbie

      Hi all,

      I am getting the following error after I upgraded from JBoss2.4.4-Tomcat3.2.3 to JBoss2.4.4-Tomcat4.0.1.

      java.lang.LinkageError: loader constraints violated when linking com/demos/gamepack/framework/GameSnapshot class

      This exception is thrown while I am making an ejb call from a servlet and a custom data type is used as one of the parameters.

      This is not an ejb instantiation problem because according to my trace statement, the ejb component was created correctly and I can issue remote call to this component as long as the method executed either has no parameters or has parameters that are standard data types e.g. String.

      But this exception will be thrown if the call requires custom data type as a parameter, in this case it is GameSnapshot.

      ejbComponent.applySnapshot(GameSnapshot aSnapshot)

      What I also notice is that if aSnapshot is a new instance created on the web server(Tomcat), then I WILL get this exception. But if I use an instance of GameSnapshot returned by another ejb call and passed it in applySnapshot(...) then I WILL NOT get this exception.

      BTW, GameSnapshot is the name of an abstract base class in my application.

      Any sugguestions or advice will be most helpful.